Skip to content
DELETE /connector/{slug}/share/{aclId}

The grantee loses access immediately. Connections already created on the connector keep working.

Path Parameters

slugstring
required·

Connector slug.

aclIdstring
required·

ACL entry id from the share list.

Response Body

successboolean
curl -X DELETE 'https://api.elaichi.ai/connector/<slug>/share/<aclId>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/connector/<slug>/share/<aclId>', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/connector/<slug>/share/<aclId>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)
print(response.json())